# disable stack protector, build doesn't work with it
%define _ssp_cflags     %{nil}

%define	uclibc_root	%{_prefix}/uclibc
%define	uclibc_cc	uclibc-gcc

%define	majorish	0.9.32

Summary:	A C library optimized for size useful for embedded applications
Name:		uClibc
Version:	%{majorish}
Release:	2
License:	LGPLv2.1
Group:		System/Libraries
URL:		http://uclibc.org/
Source0:	http://uclibc.org/downloads/%{name}-%{version}.tar.xz
Source2:	uClibc-0.9.32-config
Patch1:		uClibc-0.9.30.1-lib64.patch
# http://lists.busybox.net/pipermail/uclibc/2009-September/043035.html
Patch2:		uClibc-0.9.32-rc3-add-rpmatch-function.patch
# http://svn.exactcode.de/t2/branches/7.0/package/base/uclibc/scanf-aflag.patch
Patch3:		uClibc-0.9.31-add-scanf-a-flag.patch
# (proyvind): the ABI isn't stable, so set it to current version
Patch4:		uClibc-0.9.32-unstable-abi.patch
Patch5:		uClibc-0.9.32-fix-nptl-build-on-x86.patch
# from mga (rtp) add hacks for unwind symbol on arm (was picking glibc symbols
# so was trying to link together glibc&uClibc...)
Patch7:		uClibc-arm_hack_unwind.patch


%description
uClibc (pronounced yew-see-lib-see) is a c library for developing
embedded linux systems. it is much smaller than the gnu c library,
but nearly all applications supported by glibc also work perfectly
with uclibc. porting applications from glibc to uclibc typically
involves just recompiling the source code. uclibc even supports
shared libraries and threading. it currently runs on standard
linux and  mmu-less (also known as uclinux) systems with support
for alpha, arm, cris, i386, i960, h8300, m68k, mips/mipsel,
powerpc, sh, sparc, and v850 processors.

if you are building an embedded linux system and you find that
glibc is eating up too much space, you should consider using
uclibc. if you are building a huge fileserver with 12 terabytes of
storage, then using glibc may make more sense. unless, for
example, that 12 terabytes will be network attached storage and
you plan to burn linux into the system's firmware...

%define	libname	%mklibname %{name} %{version}
%package -n	%{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires:	uClibc
%define	oldname	%mklibname %{name}
%rename		%{oldname}

%description -n	%{libname}
uClibc (pronounced yew-see-lib-see) is a c library for developing
embedded linux systems. it is much smaller than the gnu c library,
but nearly all applications supported by glibc also work perfectly
with uclibc. porting applications from glibc to uclibc typically
involves just recompiling the source code. uclibc even supports
shared libraries and threading. it currently runs on standard
linux and  mmu-less (also known as uclinux) systems with support
for alpha, arm, cris, i386, i960, h8300, m68k, mips/mipsel,
powerpc, sh, sparc, and v850 processors.

if you are building an embedded linux system and you find that
glibc is eating up too much space, you should consider using
uclibc. if you are building a huge fileserver with 12 terabytes of
storage, then using glibc may make more sense. unless, for
example, that 12 terabytes will be network attached storage and
you plan to burn linux into the system's firmware...

%define	libdev	%mklibname %{name} -d
%package -n	%{libdev}
Summary:	Development files & libraries for uClibc
Group:		Development/C
Requires:	%{libname} = %{EVRD}
%rename		%{name}-devel
%define	libstat	%mklibname %{name} -d -s
%rename		%{libstat}
%rename		%{name}-static-devel
Provides:	libc-static

%description -n	%{libdev}
Small libc for building embedded applications.

%prep
%setup -q
#%%patch1 -p1 -b .lib64~
%patch2 -p1 -b .rpmatch~
%patch3 -p1 -b .a_flag~
%patch4 -p1 -b .abi~
%patch5 -p1 -b .epoll~
%patch7 -p1 -b .unwind

%define arch %(echo %{_arch} | sed -e 's/ppc/powerpc/' -e 's!mips*!mips!')
%ifarch %arm
echo -e "CONFIG_ARM_EABI=y\n# ARCH_WANTS_BIG_ENDIAN is not set\nARCH_WANTS_LITTLE_ENDIAN=y\n" >> .config
cat %{SOURCE2} |sed \
	-e "s!UCLIBC_HAS_FPU=y!# UCLIBC_HAS_FPU is not set!g" \
	-e "s|@CFLAGS@|%{optflags}|g" \
%else
cat %{SOURCE2} |sed \
	-e "s|@CFLAGS@|%{optflags} %{ldflags} -muclibc -Wl,-rpath=%{uclibc_root}/%{_lib} -Wl,-rpath=%{uclibc_root}%{_libdir}|g" \
%endif
	-e "s|@ARCH@|%{arch}|g" \
	-e "s|@LIB@|%{_lib}|g" \
	-e "s|@PREFIX@|%{uclibc_root}|g" \
	>> .config

%build
yes "" | make oldconfig V=1

# parallel build breaks..
make VERBOSE=1 CPU_CFLAGS="" all utils

%check
exit 0
ln -snf %{_includedir}/{asm,asm-generic,linux} test
ln -snf %{buildroot}%{uclibc_root} install_dir
# This test relies on /etc/ethers being present to pass, so we'll skip it by
# removing it
rm -f test/inet/tst-ethers*
%make check VERBOSE=1 || /bin/true 

%install
#(proyvind): to prevent possible interference...
export LD_LIBRARY_PATH=
make VERBOSE=1 PREFIX=%{buildroot} install
make -C utils VERBOSE=1 PREFIX=%{buildroot} utils_install

# be sure that we don't package any backup files
find %{buildroot} -name \*~|xargs rm -f

install -d %{buildroot}%{_bindir}
# using 'rpm --eval' here for multilib purposes..
#TODO: figure out binutils --sysroot + multilib in binutils package?
cat > %{buildroot}%{_bindir}/%{uclibc_cc} << EOF
#!/bin/sh
export C_INCLUDE_PATH="\$(rpm --eval %%{uclibc_root}%%{_includedir}):\$(gcc -print-search-dirs|grep install:|cut -d\  -f2)include"
export LD_RUN_PATH="\$(rpm --eval %%{uclibc_root}/%%{_lib}:%%{uclibc_root}%%{_libdir})"
export LIBRARY_PATH="\$LD_RUN_PATH"
%ifarch %arm
# avoid getting troubles. without it, linker is called with -lgcc -lgss_s and then
# pulls glibc. Typical example are the unwind symbols.
# It's a really nasty hack :(
UNWIND_HACK=-static-libgcc
%endif
exec gcc -muclibc \$UNWIND_HACK \$@
EOF
chmod +x %{buildroot}%{_bindir}/%{uclibc_cc}

install -d %{buildroot}%{_sysconfdir}/rpm/macros.d
cat > %{buildroot}%{_sysconfdir}/rpm/macros.d/uclibc.macros << EOF
%%uclibc_root	%{uclibc_root}
%%uclibc_cc	%{uclibc_cc}
%%uclibc_cflags	%%{optflags} -fno-stack-protector
EOF

#(peroyvind) rpm will make these symlinks relative
ln -snf %{_includedir}/{asm,asm-generic,linux} %{buildroot}%{uclibc_root}%{_includedir}

# crack hack to get uclibc working with chroot within uclibc root..
#mkdir -p %{buildroot}%{uclibc_root}%{uclibc_root}
#ln -s ../../%{_lib} %{buildroot}%{uclibc_root}%{uclibc_root}/%{_lib}

%if "%{_lib}" == "lib64"
ln -s ld64-uClibc.so.%{version} %{buildroot}%{uclibc_root}/%{_lib}/ld64-uClibc.so.0
install -d %{buildroot}%{uclibc_root}{/lib,%{_prefix}/lib}
%else
ln -s ld-uClibc.so.%{version} %{buildroot}%{uclibc_root}/lib/ld-uClibc.so.0
%endif

for dir in /bin /sbin %{_prefix} %{_bindir} %{_sbindir}; do
	mkdir -p %{buildroot}%{uclibc_root}$dir
done

mkdir -p %{buildroot}%{uclibc_root}%{_sysconfdir}
touch %{buildroot}%{uclibc_root}%{_sysconfdir}/ld.so.{conf,cache}

%post -p %{uclibc_root}/sbin/ldconfig

%triggerin -- %{uclibc_root}/lib/*.so.*, %{uclibc_root}/lib64/*.so.*, %{uclibc_root}%{_prefix}/lib/*.so.*, %{uclibc_root}%{_prefix}/lib64/*.so.*
%{uclibc_root}/sbin/ldconfig -X

%files
%doc README
%dir %{uclibc_root}/bin
%dir %{uclibc_root}/sbin
%dir %{uclibc_root}%{_bindir}
%dir %{uclibc_root}%{_sbindir}
%dir %{uclibc_root}%{_sysconfdir}
%verify(not md5 size mtime) %config(noreplace) %{uclibc_root}%{_sysconfdir}/ld.so.conf
%ghost %{uclibc_root}%{_sysconfdir}/ld.so.cache
%{uclibc_root}%{_bindir}/getconf
%{uclibc_root}%{_bindir}/ldd
%{uclibc_root}/sbin/ldconfig
#%dir %{uclibc_root}%{uclibc_root}
#%dir %{uclibc_root}%{uclibc_root}/%{_lib}
%if "%{_lib}" == "lib64"
%{uclibc_root}/%{_lib}/ld64-uClibc.so.0
#%{uclibc_root}%{uclibc_root}/%{_lib}/ld64-uClibc.so.0
%else
%{uclibc_root}/lib/ld-uClibc.so.0
#%{uclibc_root}%{uclibc_root}/lib/ld-uClibc.so.0
%endif

%files -n %{libname}
%dir %{uclibc_root}
%dir %{uclibc_root}%{_prefix}
%if "%{_lib}" == "lib64"
%dir %{uclibc_root}/lib
%dir %{uclibc_root}%{_prefix}/lib
%endif
%dir %{uclibc_root}/%{_lib}
%dir %{uclibc_root}%{_libdir}
%ifnarch %{sparcx}
%{uclibc_root}/%{_lib}/*-*%{version}.so
%{uclibc_root}/%{_lib}/*.so.%{version}
%endif

%files -n %{libdev}
%doc docs/* Changelog TODO
%{_bindir}/%{uclibc_cc}
%{_sysconfdir}/rpm/macros.d/uclibc.macros
%{uclibc_root}%{_includedir}
%{uclibc_root}%{_libdir}/crt1.o
%{uclibc_root}%{_libdir}/crti.o
%{uclibc_root}%{_libdir}/crtn.o
%ifnarch %{sparcx}
%{uclibc_root}%{_libdir}/Scrt1.o
%{uclibc_root}%{_libdir}/librt.so
%{uclibc_root}%{_libdir}/libnsl.so
%{uclibc_root}%{_libdir}/libpthread.so
%{uclibc_root}%{_libdir}/libc.so
%{uclibc_root}%{_libdir}/libcrypt.so
%{uclibc_root}%{_libdir}/libdl.so
%{uclibc_root}%{_libdir}/libm.so
%{uclibc_root}%{_libdir}/libresolv.so
%{uclibc_root}%{_libdir}/libutil.so
%endif
%{uclibc_root}%{_libdir}/lib*.a
%{uclibc_root}%{_libdir}/uclibc_nonshared.a


%changelog
* Tue Jul 12 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.32-2
+ Revision: 689715
- provide a proper fix from upstream for the epoll/nptl build issue on x86 (P5)
- create 32 bit lib dirs on lib64 to prevent ldconfig errors when missing
- update config file:
  	o enable rpmatch()
  	o enable checking of ctype argument
- update to 0.9.32 final (where NPTL should be fully working on all archs)

  + Matthew Dawkins <mattydaw@mandriva.org>
    - p6 upstreamed
      rediffed p7
    - added arm support
    -p6 to fix build error with gcc 4.6.x
    -p7 taken from (rtp) mga and adapted spec changes

* Wed May 25 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.32-1.rc3.git.2
+ Revision: 679031
- add dependency on uClibc for library package to ensure interpreter symlink
  being present

* Thu May 19 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.32-1.rc3.git.1
+ Revision: 676135
- ditch symlink uclibc root hack

* Mon May 16 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.32-1.rc3.git.0
+ Revision: 675063
- revert epoll.c commits breaking build on %%{ix86}
- update to latest code from git to get it working with current binutils
- add some hackiness to get uClibc stuff working within chroot'ed uclibc root

* Fri Apr 29 2011 Funda Wang <fwang@mandriva.org> 0.9.32-0.rc3.2
+ Revision: 660668
- rebuild

* Thu Apr 21 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.32-0.rc3.1
+ Revision: 656531
- clean out old junk
- inherit %%description & %%summary from main package
- use %%rename macro
- fix dependency loop
- don't pass '-Wl,--dynamic-linker' to gcc in uclibc-gcc anymore, gcc sets it now
- link with %%{ldflags}
- update config
- use rpath
- add back ld*-uClibc.so.0 symlink
- don't do parallel build in %%install either..
- update to 0.9.32-rc3

* Sun Feb 13 2011 Funda Wang <fwang@mandriva.org> 0.9.30.3-3
+ Revision: 637548
- convert to rpm5 standard trigger

* Mon Nov 29 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.3-2mdv2011.0
+ Revision: 603066
- be sure to own orphan /usr/uclibc/etc directory
- fix uclibc-gcc wrapper script exec prefix

* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.30.3-1mdv2011.0
+ Revision: 603019
- 0.9.30.3
- dropped upstream added patches
- rediffed the lib64 patch

* Tue Aug 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.30.1-13mdv2011.0
+ Revision: 574955
- rebuild against gcc 4.5.1

* Tue Mar 23 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-12mdv2010.1
+ Revision: 526921
- fix %%files list
- ditch feeble multilib hack...
- fix license
- fix double '/' in include path for uclibc-gcc wrapper, resulting in debugedit
  erroring out with "canonicalization unexpectedly shrank by one character"

* Sat Jan 30 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-11mdv2010.1
+ Revision: 498464
- call correct ldconfig (#56934)

* Fri Jan 29 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-10mdv2010.1
+ Revision: 498316
- fix ldconfig filetrigger filter match (#56934)

* Fri Dec 11 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-9mdv2010.1
+ Revision: 476575
- add /etc/ld.so.{cache,conf} & corresponding filetrigger script/filter
- add back -W,--dynamic-linker to wrapper for now
- move around symlinks created and fix ownership of directories
- ditch -Os from %%{uclibc_cflags} as __OPTIMIZE_SIZE__ which implies the same is
  already defined in %%{uclibc_root}%%{_includedir}/features.h
- don't disable debugging symbols in uclibc-gcc wrapper
- create a uClibc package required by library which contains ldconfig, ldd &
  symlink to elf interpreter at the location gcc has hardcoded with -muclibc
- git snapshot gave too many new issues to deal with.. cowardly revert.. :/
- don't pass -Wl,--dynamic-linker to gcc in the wrapper anymore
- drop o0ld patches
- ABI isn't stable, so change ABI major to version (P4)
- don't build with -fstack-protector, seems to break even though it shouldn't..:/
- trim double slashes
- enable debug packages
- enable ssp
  update to git snapshot to save a lot of trouble with wrappers etc..
- revert LDSO_BASE_FILENAME back to 'ld.so', as we're installing uclibc to a
  different chroot anyways...
- fix another typo in lib64 patch
- fix typo

* Mon Dec 07 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-8mdv2010.1
+ Revision: 474298
- add version to package name as cases where dynamic linking is preferred seems
  to exist :)
- fix build of memcmp-stat stet (P109, from git)
- add scalbf(), gammaf(), significandf() wrappers (P108, from git)
- add support for scanf %%a modifier (P3)
- enable some more glibc stdio compatibility
- fetch .config in %%prep rather than %%build
- enable LDSO_PRELOAD_FILE_SUPPORT
- set LDSO_BASE_FILENAME to "ld-uClibc.so"
- add -muclibc flag to uclic-gcc wrapper

* Sat Dec 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-7mdv2010.1
+ Revision: 473694
- add -g0 to %%{uclibc_cflags}
- enable wide character support
- add strverscmp() and versionsort[64]() (P107, backport from git)

* Thu Dec 03 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-6mdv2010.1
+ Revision: 472779
- merge static-devel & devel package

* Thu Dec 03 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-5mdv2010.1
+ Revision: 472773
- enable MALLOC_GLIBC_COMPAT
- make %%{uclibc_cflags} into a macro to be passed rather than part of wrapper
- set gcc options through environment variables where possible for wrapper script
- fix dynamic linking in wrapper script

* Tue Dec 01 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-4mdv2010.1
+ Revision: 472156
- add %%{uclibc_cc} & %%{uclibc_cflags} macros
- create a uclibc.macros
- backport nanosecond stat support from git
- force disabling of stack protector in uclibc-gcc wrapper
- add rpmatch() (P2, needed to build plymouth against uclibc)

* Mon Nov 30 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-3mdv2010.1
+ Revision: 471728
- be sure to own %%{uclibc_root}%%{_prefix}
- ditch COPYING.LIB, it (LGPL) comes with common-licenses already
- libify package (P1)
- remove _requires_exception, it's fixed in /usr/lib/rpm/find-requires now

* Mon Nov 30 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-2mdv2010.1
+ Revision: 471625
- don't hardcode 'x86_64' in wrapper
- be sure that we don't include any backup files
- set CPU_CFLAGS to "" so that it won't override -march=cpu from our %%optflags

* Sun Nov 29 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.30.1-1mdv2010.1
+ Revision: 471031
- pick up patches from buildroot project to solve various issues..
- fix architecture prefix for paths
- fix confic
  file SPECS/uClibc.spec modified
  file SOURCES/uClibc-0.9.30.1-arm-fix-linuxthreads-sysdep.patch added
  file SOURCES/uClibc-0.9.30.1-dl-sysdep-inline.patch added
  file SOURCES/uClibc-0.9.30.1-c99-ldbl-math.patch added
  file SOURCES/uClibc-0.9.30.1-config removed
  file SOURCES/uClibc-0.9.30.1-64bit-strtouq.patch added
  file SOURCES/uClibc-0.9.30.2-config added
  file SOURCES/uClibc-0.9.30.1-fix-getaddrinfo.patch added
- new release: 0.9.31
- replace the old & deprecated gcc wrapper with a simpler shell script
- run test suite
- clean up quite a bit

  + Funda Wang <fwang@mandriva.org>
    - rediff toolchain wrapper patch
    - rediff mdkconf patch

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.28.1-5mdv2009.0
+ Revision: 225895
- rebuild

* Mon Mar 24 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.28.1-4mdv2008.1
+ Revision: 189752
- rebuild against gcc 4.2.3
- s/-mtune=pentiumpro/-mtune=generic/

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.28.1-3mdv2008.1
+ Revision: 178883
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.28.1-2mdv2008.0
+ Revision: 68745
- Rebuild, and disable _ssp_cflags as build doesn't work with it.


* Tue Feb 06 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.28.1-1mdv2007.0
+ Revision: 116708
- update to 0.9.28.1
  fix x86_64 build (P7)
  build on all archs

* Tue Feb 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.28-8mdv2007.1
+ Revision: 116671
- fix deps
- remove the gcc_version macro expansion
- disable the unused gcc_version macro expansion (second try)
- disable the unused gcc_version macro expansion
- Import uClibc

* Sun Oct 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.28-8mdv2007.0
- x86_64 is not well supported, so exclude it

* Thu Sep 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.28-7mdv2007.0
- rebuild

* Thu Sep 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.28-6mdv2007.0
- sync with the mille-xterm project (0.9.26-5mdk)

* Wed Sep 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.28-5mdv2007.0
- split out toolchain wrapper from one huge patch, use patches from PLD
- force correct gcc for toolchain to use
- cleanups

* Tue Aug 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.28-4mdv2007.0
- rebuild

* Sat Apr 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.28-3mdk
- rebuild against new gcc
- force dependecy on current gcc version

* Thu Jan 19 2006 Stew Benedict <sbenedict@mandriva.com> 0.9.28-2mdk
- buildrequires, x86_64 build (missing x86_64/resolve.S)

* Wed Aug 31 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.28-1mdk
- 0.9.28
- move test to new %%check stage (disabled)
- minor tweak to P0
- get rid of warning about obsoletes -malign-{loops,jumps}

* Fri Apr 29 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.27-5.20050428mdk
- update to latest svn snapshot to fix x86_64 build

* Wed Apr 27 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.27-4mdk
- fix sparc build

* Tue Mar 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.27-2mdk
- no multiarch, rebuild for latest multiarch-utils
- compile for i586 with optimizations
- get rid of gcc warnings

* Tue Feb 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.27-1mdk
- 0.9.27
- regenerate P0
- drop P1 & P2
- multiarch

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.26-5mdk
- fix problem with kernel_types.h (P2 from CVS)

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.26-4mdk
- do not ship own kernel-headers, compile against systems (less hackish:)
- require also %%{release} for subpackages
- cleanups

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.26-3mdk
- urg?!?!? get rid of weird dependency that came out of nowhere:(

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.26-2mdk
- fix paths..

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.26-1mdk
- 0.9.26 (with lots of suse hacks to make it build, probably needs some more tweaking..:\)

